CVE-2005-1679
CVSS5.1
发布时间 :2005-05-20 00:00:00
修订时间 :2016-10-17 23:21:34
NMCO    

[原文]Stack-based buffer overflow in the error directive in picasm 1.12b and earlier allows attackers to execute arbitrary code via a long error message.


[CNNVD]Picasm Error Generation远程缓冲区溢出漏洞(CNNVD-200505-1140)

        picasm 1.12b及更早版本中的错误指令存在基于栈的缓冲区溢出,攻击者可以通过长的错误消息来执行任意代码。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1679
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1679
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-1140
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111661253517089&w=2
(UNKNOWN)  BUGTRAQ  20050520 picasm error handling stack overflow vulnerability
http://www.co.jyu.fi/~trossi/pic/
(PATCH)  CONFIRM  http://www.co.jyu.fi/~trossi/pic/
http://www.securityfocus.com/bid/13698
(UNKNOWN)  BID  13698

- 漏洞信息

Picasm Error Generation远程缓冲区溢出漏洞
中危 缓冲区溢出
2005-05-20 00:00:00 2005-10-20 00:00:00
远程  
        picasm 1.12b及更早版本中的错误指令存在基于栈的缓冲区溢出,攻击者可以通过长的错误消息来执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Picasm Picasm 1.10
        Picasm picasm112c.tar.gz
        http://www.co.jyu.fi/~trossi/pic/picasm112c.tar.gz
        Picasm Picasm 1.12 b
        Picasm picasm112c.tar.gz
        http://www.co.jyu.fi/~trossi/pic/picasm112c.tar.gz

- 漏洞信息

16756
Picasm Error Directive Local Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-05-20 Unknow
2005-05-20 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站